<?php
	class VueUsers extends Vue {
		protected function authorize($post) {
			if ($post)
				return USER === 'admin';
			return true;
		}
		
		protected function handlePOST() {
			$model = new MdlUser();
			
			if (isset($_POST['add']))
				$model->updateUser(@$_POST['name'], @$_POST['pass'], @$_POST['fullname']);
			
			if (isset($_POST['delete']))
				$model->deleteUser(@$_POST['name']);
			
			HTTP::Reload();
		}
		
		protected function render() {
			$model = new MdlUser();
			
			$canEdit = $this->authorize(true);
			
			$this->renderTitle('Users');
?>
<table border=1 cellpadding=10 width=100%>
<?php foreach ($model->getAllUsers() as $user): ?>
<?php
	$url = URL::FullURLHTML(PAGE, array('name' => $user['name'], 'fullname' => $user['fullname']));
?>
	<tr>
		<td width=1><?= htmlspecialchars($user['name']) ?></td>
		<td><?= htmlspecialchars($user['fullname']) ?></td>
<?php	if ($canEdit): ?>
		<td width=1><a href="<?= $url ?>">Edit</a></td>
<?php	endif; ?>
	</tr>
<?php endforeach; ?>
</table>
<?php if ($canEdit): ?>
<hr />
<form method=post><table border=1 cellpadding=10><tr>
	<th>Username</th>
	<td><input name=name value="<?= htmlspecialchars(@$_GET['name']) ?>" /></td>
</tr><tr>
	<th>Password</th>
	<td><input name=pass type=password /></td>
</tr><tr>
	<th>Full name</th>
	<td><input name=fullname value="<?= htmlspecialchars(@$_GET['fullname']) ?>" /></td>
</tr><tr>
	<td colspan=2>
		<button name=add>Add / Edit</button>
		<button name=delete>Delete</button>
	</td>
</tr></table></form>
<?php endif; ?>
<?php
		}
	}
?>
