<?php
	class Vue401 extends Vue {
		private $error = '';
		
		protected function handlePOST() {
			$name = @$_POST['_user'];
			if ((new MdlUser())->test($name, @$_POST['_pass'], $uid, $fullname)) {
				$_SESSION['username'] = $name;
				$_SESSION['uid'] = $uid;
				$_SESSION['fullname'] = $fullname;
				
				if (isset($_POST['_resubmit']))
					HTTP::Resubmit();
				else
					HTTP::Reload();
			} else if (isset($_POST['_user']))
				$this->error = 'Incorrect password.';
		}
		
		protected function render() {
			
			$post = array();
			if ($_POST) {
				foreach (explode('&', http_build_query($_POST)) as $frag) {
					if (@$frag[0] == '_')
						continue;
					@list($key, $value) = array_map('rawurldecode', explode('=', $frag));
					$post[] = array($key, $value);
				}
			}
			
			header('HTTP/1.1 401 Unauthorized');
			$this->renderTitle('Login', false);
?>
<form method=post>
	<table cellpadding=5><tr>
		<td align=right>Username</td>
		<td><input autofocus name=_user value="<?= htmlspecialchars(@$_POST['_user']) ?>" /></td>
	</tr><tr>
		<td align=right>Password</td>
		<td><input name=_pass type=password value="<?= htmlspecialchars(@$_POST['_pass']) ?>" /></td>
	</tr><tr>
		<td colspan=2><button>Login</button></td>
	</tr></table>
	<p class=error><?= htmlspecialchars($this->error); ?></p>
<?php if ($post): ?>
	<hr />
	<p><label><input<?= !isset($_POST['_user']) || isset($_POST['_resubmit']) ? ' checked' : '' ?> name=_resubmit type=checkbox /> Resubmit</label></p>
<?php	foreach ($post as list($key, $value)): ?>
	<input name="<?= htmlspecialchars($key) ?>" type=hidden value="<?= htmlspecialchars($value) ?>" />
<?php	endforeach; ?>
<?php endif; ?>
</form>
<?php
		}
	}
?>
